## nano 2.0.2-1osso3

=== debian/changelog ===
nano (2.0.2-1osso3) unstable; urgency=low

  * modified changelog

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 14 Jun 2007 12:56:00 +0300

nano (2.0.2-1osso2) unstable; urgency=low

  * added debhelper to dependencies

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 14 Jun 2007 12:17:43 +0300

nano (2.0.2-1osso1) unstable; urgency=low

  * Change debhelper compat to 4
  * Set maemo integration as a maintainer

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue, 29 May 2007 14:02:43 +0300

nano (2.0.2-1) unstable; urgency=medium

  * The "Compromís pel País Valencià" release.
  * New upstream release.
    - fixes a segfault and several memleaks.

 -- Jordi Mallach <jordi@debian.org>  Fri, 22 Dec 2006 17:11:14 +0100

nano (2.0.1-1) unstable; urgency=low

  * The "Xúquer Viu" release.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 21 Nov 2006 12:20:53 +0100

nano (2.0.0-1) unstable; urgency=low

  * The "La Regata de Rita" release.
  * New upstream stable release!
    See the UPGRADE document for a summary of new features since 1.2.x.
  * debian/copyright: update, add David to Copyright holders and add the
    standard GPL header.
  * debian/nanorc: sync with nanorc.sample.
  * debian/watch: added.

 -- Jordi Mallach <jordi@debian.org>  Tue,  7 Nov 2006 18:03:39 +0100

nano (1.9.99pre3-1) unstable; urgency=low

  * The "Catrals per tot arreu" release.
  * New upstream prerelease.
  * debian/nanorc: sync with nanorc.sample.

 -- Jordi Mallach <jordi@debian.org>  Thu, 26 Oct 2006 01:45:48 +0200

nano (1.9.99pre2-1) unstable; urgency=low

  * The "Sense pacte, perdem el País" release.
  * New upstream prerelease.

 -- Jordi Mallach <jordi@debian.org>  Mon,  2 Oct 2006 19:43:12 +0200

nano (1.9.99pre1-1) unstable; urgency=low

  * The "Fundación Agua y Progreso" release.
  * New upstream prerelease.
  * debian/nanorc: sync with nanorc.sample.
  * debian/examples: removed, since we already have a nanorc in the
    package based on nanorc.sample.

 -- Jordi Mallach <jordi@debian.org>  Tue, 29 Aug 2006 22:40:05 +0200

nano (1.3.12-2) unstable; urgency=low

  * The "Jo no t'espere" release.
  * debian/nanorc.sample: sync from one of the build dirs, so we get the
    correct $PKGDATADIR on the syntax section.

 -- Jordi Mallach <jordi@debian.org>  Wed,  5 Jul 2006 13:39:32 +0200

nano (1.3.12-1) unstable; urgency=low

  * The "Quiebra Mítica" release.
  * New upstream development release.
  * debian/nanorc: sync with nanorc.sample, which now uses includes for
    highlight patterns.
  * debian/patches/*.dpatch: removed, included in new version.

 -- Jordi Mallach <jordi@debian.org>  Tue,  4 Jul 2006 19:56:57 +0200

nano (1.3.11-3) unstable; urgency=low

  * The "Marina d'Or" release.
  * debian/patches/01_crontab_backup.dpatch: add improvements to this by
    David Lawrence Ramsey in CVS when the file being prepended has an
    unreadable name. Fixes the issue for nano-tiny as well.
  * debian/patches/02_regex_fix.dpatch: patch from CVS by David Lawrence
    Ramsey to fix zero-length single-line regexes, which were making
    nano segfault.
  * debian/patches/03_regex_parsing.dpatch: patch from CVS by David Lawrence
    Ramsey to allow overriding regexes in the global nanorc with regexes
    in the personal nanorc without error messages, as it was possible up
    to nano 1.3.9.
  * debian/patches/04_line_wrap.dpatch: patch from CVS by David Lawrence
    Ramsey, to fix nano wrapping some lines containing tabs too early.
  * debian/patches/00list: updated.
  * debian/control: bump Standards-Version to 3.7.2.0, no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Thu, 18 May 2006 23:23:55 +0200

nano (1.3.11-2) unstable; urgency=low

  * The "Marbella, ciudad hermanada con Benidorm" release.
  * debian/control: generate udeb dependencies automatically, using a newer
    debhelper and dpkg-dev. Thanks, Frans Pop (closes: #360265). The correct
    dpkg-dev is pulled by debhelper, so backporters can just ignore the
    newer debhelper build-dep.
  * debian/nanorc: sync with upstream's example.
  * debian/patches/01_crontab_backup.dpatch: new patch from DLR to fix the
    saving of crontabs with the backup mode active (Ubuntu #29732).

 -- Jordi Mallach <jordi@debian.org>  Thu,  6 Apr 2006 00:00:01 +0200

nano (1.3.11-1) unstable; urgency=low

  * The "Camps de Golf" release.
  * New upstream release.
  * debian/patches/01_line_allocation_crash.dpatch,
    debian/patches/02_display_cursor.dpatch: removed, included upstream.
  * debian/patches/00list: updated.

 -- Jordi Mallach <jordi@debian.org>  Thu, 30 Mar 2006 09:47:45 +0200

nano (1.3.10-2) unstable; urgency=low

  * The "Pla i Curtet" release.
  * debian/patches/01_line_allocation_crash.dpatch: fix long standing bug that
    would make nano crash on some setups (closes: #325065).
  * debian/patches/02_display_cursor.dpatch: fix a minor display corruption
    bug.

 -- Jordi Mallach <jordi@debian.org>  Sat,  4 Feb 2006 17:20:48 +0100

nano (1.3.10-1) unstable; urgency=low

  * The "Comprad, comprad, malditos!" release.
  * New upstream release.
    - includes Thijs Kinkhorst's rnano(1) manpage (closes: #339530).

 -- Jordi Mallach <jordi@debian.org>  Sun, 25 Dec 2005 03:43:30 +0100

nano (1.3.9-1) unstable; urgency=low

  * The "I fear I'll freeze in Montréal" release.
  * New upstream development release.
    - includes Yavor Doganov's new Bulgarian translation (closes: #324385).
  * Remove obsolete patches: 01_clear_replace and 02_64bit_line_num.
  * debian/control:
    - add "XC-Package-Type: udeb" to nano-udeb, and build nano-udeb
      in a more debhelper-standard way.
    - bump build-deps to debhelper (>= 4.2.0) for udeb support.
    - bump Standards-Version to 3.6.2.0, gratis.
  * debian/rules:
    - get rid of ugly hacks for udeb generation, debhelper will take care.
    - major cleanups.

 -- Jordi Mallach <jordi@debian.org>  Wed, 26 Oct 2005 13:39:02 +0200

nano (1.3.8-2) unstable; urgency=low


