=== debian/control ===
Source: nano
Section: editors
Priority: optional
Maintainer: maemo integration <integration@maemo.org>
Uploaders: Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper, dpkg-dev (>= 1.13.9), libncurses5-dev, libncursesw5-dev, libslang2-dev, dpatch
Standards-Version: 3.7.2.0

Package: nano
Architecture: any
Priority: important
Depends: ${shlibs:Depends}
Provides: editor
Suggests: spell
Conflicts: nano-tiny (<= 1.0.0-1), pico
Replaces: pico
Description: free Pico clone with some new features
 GNU nano is a free replacement for Pico, the default Pine editor. Pine is
 copyrighted under a restrictive licence, that makes it unsuitable for
 Debian's main section. GNU nano is an effort to provide a Pico-like
 editor, but also includes some features that were missing in the original,
 such as 'search and replace', 'goto line' or internationalization support.

Package: nano-tiny
Architecture: any
Depends: ${shlibs:Depends}
Provides: editor
Description: free Pico clone with some new features - tiny build
 GNU nano is a free replacement for Pico, the default Pine editor. Pine is
 copyrighted under a restrictive licence, that makes it unsuitable for
 Debian's main section. GNU nano is an effort to provide a Pico-like
 editor, but also includes some features that were missing in the original,
 such as 'search and replace', 'goto line' or internationalization support.
 .
 This package contains a minimal build of GNU nano, aimed for use in
 boot-floppies. Thus, many features are disabled in this version.

Package: nano-udeb
Architecture: any
Section: debian-installer
Priority: standard
XC-Package-Type: udeb
Depends: ${shlibs:Depends}
Provides: editor
Description: free Pico clone with some new features - tiny build
 GNU nano is a free replacement for Pico, the default Pine editor. Pine is
 copyrighted under a restrictive licence, that makes it unsuitable for
 Debian's main section. GNU nano is an effort to provide a Pico-like
 editor, but also includes some features that were missing in the original,
 such as 'search and replace', 'goto line' or internationalization support.
 .
 This package contains a minimal build of GNU nano, aimed for use in
 debian-installer. Thus, many features are disabled in this version.
