## nano 2.0.2-1osso5

=== debian/changelog ===
nano (2.0.2-1osso5) unstable; urgency=low

  * mouse support is now on by default
  * Fixes: MB#1631

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 24 Oct 2007 10:51:46 +0300

nano (2.0.2-1osso4) unstable; urgency=low

  * Add ncurses-base to nano dependencies
  * Bumb up the version number to force upgrade on unofficial packages

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue,  3 Jul 2007 10:15:46 +0300
