=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: maemo integration <integration@maemo.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper, dpkg-dev (>= 1.13.9), libncurses5-dev, libncursesw5-dev, libslang2-dev, dpatch
+Build-Depends: dpkg-dev (>= 1.13.9), libncurses5-dev, libncursesw5-dev, libslang2-dev, dpatch
 Standards-Version: 3.7.2.0
 
 Package: nano
 Architecture: any
 Priority: important
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ncurses-base
 Provides: editor
 Suggests: spell
 Conflicts: nano-tiny (<= 1.0.0-1), pico
