## nano 2.0.2-1osso6

=== debian/changelog ===
nano (2.0.2-1osso6) unstable; urgency=low

  * removed udeb package from control file

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 03 Apr 2008 14:07:46 +0300
