=== debian/control ===
--- 
+++ 
@@ -35,19 +35,3 @@
  This package contains a minimal build of GNU nano, aimed for use in
  boot-floppies. Thus, many features are disabled in this version.
 
-Package: nano-udeb
-Architecture: any
-Section: debian-installer
-Priority: standard
-XC-Package-Type: udeb
-Depends: ${shlibs:Depends}
-Provides: editor
-Description: free Pico clone with some new features - tiny build
- GNU nano is a free replacement for Pico, the default Pine editor. Pine is
- copyrighted under a restrictive licence, that makes it unsuitable for
- Debian's main section. GNU nano is an effort to provide a Pico-like
- editor, but also includes some features that were missing in the original,
- such as 'search and replace', 'goto line' or internationalization support.
- .
- This package contains a minimal build of GNU nano, aimed for use in
- debian-installer. Thus, many features are disabled in this version.
