## nano 2.0.2-1osso7+0m5

=== debian/changelog ===
nano (2.0.2-1osso7+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:37:02 +0300

nano (2.0.2-1osso7) unstable; urgency=low

  * recompiled with new ncurses

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:16:03 +0300

nano (2.0.2-1osso6+r1) unstable; urgency=low

  * Bumped up the version to force recompilation

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 18 Feb 2009 12:41:03 +0200
