## nano 2.0.7-4

=== debian/changelog ===
nano (2.0.7-4) unstable; urgency=high

  * The "Valencia, tenemos la fórmula" release.
  * Add patch successful_write_no_free_space.patch to solve an issue
    with nano reporting successful writes on full devices, potentially
    causing files to be zeroed.

 -- Jordi Mallach <jordi@debian.org>  Mon, 25 Aug 2008 17:27:55 +0200

nano (2.0.7-3) unstable; urgency=low

  * The "Benitatxell" release.
  * Add patch open_flags.patch to add mode parametre to open() to solve a
    FTBFS in Ubuntu 8.10, compiled with -D_FORTIFY_SOURCE=2 (LP: 247692).

 -- Jordi Mallach <jordi@debian.org>  Sat, 12 Jul 2008 07:09:02 +0200

nano (2.0.7-2) unstable; urgency=low

  * The "43 morts + 47 ferits = 0 responsables" release.
  * debian/patches/ja_help_freeze.patch: apply patch from Mitsuya Shibata
    to fix an endless loop when displaying help using a Japanese locale.
    (fixes LP #201769).
  * debian/patches/small_window_sigsegv.patch: apply patch from SVN to
    fix a segfault when running nano on a too small terminal terminal.
  * Build-Depend on quilt and adapt debian/rules accordingly.
  * Add a debian/README.source with some quilt notes, as posted by
    Russ Allbery in d-d-a.
  * Bump Standards-Version to 3.8.0.
  * Set section of the doc-base entries to "Editors".

 -- Jordi Mallach <jordi@debian.org>  Thu,  3 Jul 2008 13:03:00 +0200 

nano (2.0.7-1) unstable; urgency=low

  * The "Volem TV3" release.
  * New upstream release.
    - GNU nano is now released under the GPL3+ and GPL3+/GFDL1.2 for docs.
    - fixes bad detection of MAC/DOS file format (closes: #451659)
  * debian/copyright: reflect copyright changes.
  * debian/rules:
    - apply patch from Neil Williams to allow cross building of the
      package (closes: #451188).
    - remove empty /usr dir from nano-udeb.
  * debian/nano.doc-base.manual, debian/nano.doc-base.faq: add doc-base
    registration for the texinfo documentation and the HTML FAQ
    (closes: #451693).
  * debian/prerm: fix pico alternative removal (thanks Luca Capello,
    closes: 435617).
  * debian/menu: Update to new Debian menu structure.
  * debian/control:
    - add Homepage field.
    - update Standards Version to 3.7.3.0.
    - drop build-dep on dpatch, not used for now.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Dec 2007 15:19:01 +0100

nano (2.0.6-2) unstable; urgency=low

  * The "Ja en teniem prou?" release.
  * debian/postinst, debian/prerm: add a new alternative "pico", at priority
    10, to allow alpine-pico to be installed without conflicting with nano.
    Alpine, being Pine's free successor, will have a higher priority, even if
    nano still has many more features (closes: #409504).
  * debian/links:
    - remove pico related links.
    - remove nb -> no locale link, this transition is really old news now.
  * debian/control: conflict with alpine-pico (<= 0.99+dfsg-1).

 -- Jordi Mallach <jordi@debian.org>  Mon, 28 May 2007 22:34:06 +0200

nano (2.0.6-1) unstable; urgency=low

  * The "Ja en tenim prou" release.
    - fixes several bugs related to handling of filenames starting with "~"
      (closes: 419353).
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 May 2007 11:29:24 +0200

nano (2.0.4-1) unstable; urgency=low

  * The "Gente con tantos méritos" release.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 18 Apr 2007 18:09:22 +0200

nano (2.0.3-1) unstable; urgency=low

  * The "Pelotazo C. F." release.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed,  7 Feb 2007 09:12:46 +0100
