=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: nano
 Section: editors
 Priority: optional
-Maintainer: maemo integration <integration@maemo.org>
-Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.9), libncurses5-dev, libncursesw5-dev, libslang2-dev, dpatch
-Standards-Version: 3.7.2.0
+Maintainer: Jordi Mallach <jordi@debian.org>
+Uploaders: Max
+Build-Depends: dpkg-dev (>= 1.13.9), libncurses5-dev, libncursesw5-dev, libslang2-dev, debhelper (>= 5.0.22), quilt
+Standards-Version: 3.8.0
+Homepage: http://www.nano-editor.org/
 
 Package: nano
 Architecture: any
 Priority: important
-Depends: ${shlibs:Depends}, ncurses-base
+Depends: ${shlibs:Depends}
 Provides: editor
 Suggests: spell
-Conflicts: nano-tiny (<= 1.0.0-1), pico
+Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 0.99+dfsg-1)
 Replaces: pico
 Description: free Pico clone with some new features
  GNU nano is a free replacement for Pico, the default Pine editor. Pine is
@@ -35,3 +36,19 @@
  This package contains a minimal build of GNU nano, aimed for use in
  boot-floppies. Thus, many features are disabled in this version.
 
+Package: nano-udeb
+Architecture: any
+Section: debian-installer
+Priority: standard
+XC-Package-Type: udeb
+Depends: ${shlibs:Depends}
+Provides: editor
+Description: free Pico clone with some new features - tiny build
+ GNU nano is a free replacement for Pico, the default Pine editor. Pine is
+ copyrighted under a restrictive licence, that makes it unsuitable for
+ Debian's main section. GNU nano is an effort to provide a Pico-like
+ editor, but also includes some features that were missing in the original,
+ such as 'search and replace', 'goto line' or internationalization support.
+ .
+ This package contains a minimal build of GNU nano, aimed for use in
+ debian-installer. Thus, many features are disabled in this version.
