=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpatch/dpatch.make
+include /usr/share/quilt/quilt.make
+
+PACKAGE=nano
 
 DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+confflags= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+else
+confflags= --build $(DEB_BUILD_GNU_TYPE)
+endif
 
 CFLAGS  = -Wall -g
 CFTINY  = -Wall -g -Os -fomit-frame-pointer
@@ -28,11 +35,9 @@
 COMMON_CONFIG := --cache-file=$(CURDIR)/config.cache \
 			--prefix=/usr --mandir=\$${prefix}/share/man \
 			--infodir=\$${prefix}/share/info --srcdir='..' \
-			--sysconfdir=/etc \
-			--host $(DEB_BUILD_GNU_TYPE) \
-			--build $(DEB_HOST_GNU_TYPE)
+			--sysconfdir=/etc $(confflags)
 
-build: patch-stamp build-stamp
+build: patch build-stamp
 build-stamp: build-arch
 build-arch: build-nano-stamp build-tiny-stamp build-udeb-stamp
 
@@ -106,7 +111,7 @@
 	cd $(udebbuild) && \
 		$(MAKE) install prefix=$(CURDIR)/debian/nano-udeb/usr \
 		bindir=$(CURDIR)/debian/nano-udeb/bin
-	rm -rf $(CURDIR)/debian/nano-udeb/usr/share
+	rm -rf $(CURDIR)/debian/nano-udeb/usr
 	rm -f $(CURDIR)/debian/nano-udeb/bin/rnano
 
 binary-indep:
@@ -128,14 +133,16 @@
 ifneq (,$(findstring hurd,$(DEB_HOST_ARCH_OS)))
 	rm -rf $(CURDIR)/debian/nano/usr/bin
 endif
+#	dh_desktop -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
+	maemo-optify
 	dh_md5sums -a
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build clean binary-indep binary-arch binary install patch unpatch
