## nano 2.0.7-4-maemo5-1

=== debian/changelog ===
nano (2.0.7-4-maemo5-1) unstable; urgency=low

  * Minor adoptation for maemo. Mostly for nano-tiny.

 -- Max <xxx@xxx.ccc>  Wed, 16 Dec 2009 19:27:55 -0500
