=== debian/control ===
--- 
+++ 
@@ -21,6 +21,9 @@
  Debian's main section. GNU nano is an effort to provide a Pico-like
  editor, but also includes some features that were missing in the original,
  such as 'search and replace', 'goto line' or internationalization support.
+ .
+ Full version with support most of features. If you want smaller version 
+ use nano-tiny and nano-udeb(smallest). Package fully "optified" for maemo
 
 Package: nano-tiny
 Architecture: any
@@ -35,6 +38,8 @@
  .
  This package contains a minimal build of GNU nano, aimed for use in
  boot-floppies. Thus, many features are disabled in this version.
+ Contain minimal Help files.
+ If you want full version use nano or smaller - nano-udeb. Package fully "optified" for maemo.
 
 Package: nano-udeb
 Architecture: any
@@ -51,4 +56,6 @@
  such as 'search and replace', 'goto line' or internationalization support.
  .
  This package contains a minimal build of GNU nano, aimed for use in
- debian-installer. Thus, many features are disabled in this version.
+ boot-floppies. Thus, many features are disabled in this version.
+ Don't contain help files. 
+ If you want full version use nano or medium nano-tiny. Package fully "optified" for maemo.
