=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 	[ -d $(nanobuild) ] || mkdir $(nanobuild)
 	cd $(nanobuild) && ../configure $(COMMON_CONFIG) --enable-all \
-		--disable-wrapping-as-root && \
+		--enable-color --disable-wrapping-as-root && \
 		$(MAKE) CFLAGS="$(CFLAGS)"
 	touch build-nano-stamp
 
@@ -58,8 +58,8 @@
 	[ -d $(tinybuild) ] || mkdir $(tinybuild)
 	cd $(tinybuild) && ../configure $(COMMON_CONFIG) \
 		--enable-tiny --disable-speller --disable-justify \
-		--disable-tabcomp --disable-nls --disable-wrapping \
-		--with-slang &&  \
+		--disable-nls --disable-wrapping --enable-color \
+		&&  \
 		$(MAKE) CFLAGS="$(CFTINY)"
 	touch build-tiny-stamp
 
@@ -71,7 +71,7 @@
 	cd $(udebbuild) && ../configure $(COMMON_CONFIG) \
 		--enable-tiny --disable-speller --disable-justify \
 		--disable-tabcomp --disable-nls --disable-wrapping \
-		--with-slang &&  \
+		&&  \
 		$(MAKE) CFLAGS="$(CFTINY)"
 	touch build-udeb-stamp
