## nano 2.0.7-4-maemo5-2

=== debian/changelog ===
nano (2.0.7-4-maemo5-2) unstable; urgency=low

  * Minor adoptation for maemo. Mostly for nano-tiny.

 -- Max <xxx@xxx.ccc>  Thu, 17 Dec 2009 16:27:55 -0500
 
