=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Depends: ${shlibs:Depends}
 Provides: editor
 Suggests: spell
-Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 0.99+dfsg-1)
+Conflicts: nano-tiny, pico, alpine-pico (<= 0.99+dfsg-1)
 Replaces: pico
 Description: free Pico clone with some new features
  GNU nano is a free replacement for Pico, the default Pine editor. Pine is
@@ -23,12 +23,14 @@
  such as 'search and replace', 'goto line' or internationalization support.
  .
  Full version with support most of features. If you want smaller version 
- use nano-tiny and nano-udeb(smallest). Package fully "optified" for maemo
+ use nano-tiny. Package fully "optified" for maemo
 
 Package: nano-tiny
 Architecture: any
 Depends: ${shlibs:Depends}
 Provides: editor
+Conflicts: nano, pico, alpine-pico (<= 0.99+dfsg-1)
+Replaces: pico
 Description: free Pico clone with some new features - tiny build
  GNU nano is a free replacement for Pico, the default Pine editor. Pine is
  copyrighted under a restrictive licence, that makes it unsuitable for
@@ -39,7 +41,7 @@
  This package contains a minimal build of GNU nano, aimed for use in
  boot-floppies. Thus, many features are disabled in this version.
  Contain minimal Help files.
- If you want full version use nano or smaller - nano-udeb. Package fully "optified" for maemo.
+ If you want full version use nano. Package fully "optified" for maemo.
 
 Package: nano-udeb
 Architecture: any
