=== debian/rules ===
--- 
+++ 
@@ -105,6 +105,7 @@
 		$(MAKE) install prefix=$(CURDIR)/debian/nano-tiny/usr \
 		  bindir=$(CURDIR)/debian/nano-tiny/bin
 	mv debian/nano-tiny/bin/nano debian/nano-tiny/bin/nano-tiny
+	cp debian/nanorc-tiny $(CURDIR)/debian/nano/etc/nanorc
 	rm -rf $(CURDIR)/debian/nano-tiny/usr/share/man
 	rm -f $(CURDIR)/debian/nano-tiny/bin/rnano
