## nano 2.2.2

=== debian/changelog ===
nano (2.2.2-1) unstable; urgency=low

  * The "Cabanyal" release.
  * New upstream release.
  * Switch to dpkg source 3.0 (quilt). Remove quilt patching support and
    README.source from the packaging, and drop quilt from Build-Depends.

 -- Jordi Mallach <jordi@debian.org>  Wed, 20 Jan 2010 00:18:38 +0100

nano (2.2.1-1) unstable; urgency=low

  * The "Don Carlos" release.
  * New upstream release.
  * Remove obsolete patch 01_manpage_hyphens, fixed upstream.

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Dec 2009 19:34:49 +0100

nano (2.2.0-1) unstable; urgency=low

  * The "Televisió Sense Fronteres" release.
  * New upstream stable release!
  * Remove patch 10_tinybuildfix, applied upstream.
  * Update 01_manpage_hyphens, as it's been applied only partially upstream.
  * Remove French manpages from nano, until they are back in sync with the
    original versions (§12.1, Policy 3.8.3).

 -- Jordi Mallach <jordi@debian.org>  Tue, 01 Dec 2009 20:59:14 +0100

nano (2.1.99pre2-1) unstable; urgency=low

  * The "Molt Poc Honorable" release.
  * New upstream prerelease.
    - fixes a cascade of "Closecode = -1" messages when opening multiple
      buffers (closes: #551716).
    - fixes handling of undo and casesensitive options in rcfiles
      (closes: #558223)
  * Apply patch #6993 from Savannah to fix builds of nano-tiny (thanks, DLR).

 -- Jordi Mallach <jordi@debian.org>  Fri, 27 Nov 2009 23:26:24 +0100

nano (2.1.99pre1-1) unstable; urgency=low

  * New upstream prerelease.
  * The "Ferraris" release.
  * Remove empty /usr/share/nano from nano-tiny.
  * Drop 10_browser_floating_point_exception.patch, obsolete.

 -- Jordi Mallach <jordi@debian.org>  Mon, 16 Nov 2009 14:05:28 +0100

nano (2.1.11-3) unstable; urgency=low

  * The "Caja Madrid" release.
  * Throw away html manpages, on both nano and nano-tiny. Fixes a
    file conflict between both (closes: #553380).
  * Fix, again, the install path for the nanorc example.
  * Use upstream's fix for the browser floating point exception.

 -- Jordi Mallach <jordi@debian.org>  Fri, 30 Oct 2009 19:35:28 +0100

nano (2.1.11-2) unstable; urgency=low

  * The "Ric Costa" release.
  * Upload 2.1 to unstable, as upstream says a stable 2.2 release will
    happen soon.
  * Make nano depend on dpkg (>= 1.15.4) | install-info for the install-info
    transition.
  * Add dependencies on ${misc:Depends} for all packages.
  * Bump Standards-Version to 3.8.3.
  * Add 10_browser_floating_point_exception.patch to the series patch so it
    really gets applied. Thanks again to Paul Wise (closes: #496008).
  * Update 01_manpage_hyphens.patch to fix newly introduced unescaped
    minus signs.
  * Add descriptions to all patches according to DEP-3.
  * Remove --enable-all from configure call, as it does nothing.

 -- Jordi Mallach <jordi@debian.org>  Wed, 28 Oct 2009 19:20:22 +0100

nano (2.1.11-1) experimental; urgency=low

  * The "Socialistes Valencians" release.
  * New upstream development release.
  * Resynchronise nanorc with sample.nanorc, which now includes the
    undo and soft options.

 -- Jordi Mallach <jordi@debian.org>  Wed, 16 Sep 2009 21:04:31 +0200

nano (2.1.10-1) experimental; urgency=low

  * The "Una pastuqui importante" release.
  * New upstream development release (closes: #522295).
    - includes PHP syntax highlighting (closes: #477186).
    - includes experimental undo support, but it's known to be unstable.
  * Rewrite all descriptions, as suggested by Justin B. Rye, emphasyzing
    nano's features instead of Pico's non-freeness (closes: #508903).
  * Fix corrupted UTF-8 in several ancient changelog entries.
  * Fix install directory for example nanorc.
  * Resynchronize nanorc with sample.nanorc for the new options in nano 2.2.
  * Enable syntax highlighting by default. Please tell me if nano gets
    slower on your setup in order to reconsider this change (closes: #514909).
  * Add 10_browser_floating_point_exception.patch to fix a division by zero;
    report and suggested fix by Paul Wise (closes: #496008).
  * Fix some fixes in 01_manpage_hyphens.patch.
  * Bump Standards-Version to 3.8.2, no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 14 Aug 2009 09:54:24 +0200

nano (2.0.9-2) unstable; urgency=low

  * The "Yo me pago mis trajes" release.
  * Upload to unstable.
  * Bump Standards-Version to 3.8.1 (no changes required).
  * Point to versioned licences in the copyright file.
  * Update to debhelper v7 (from v4!), update Build-Depends accordingly.
  * Use dh_prep instead of dh_clean -k.
  * Add patch 01_manpage_hyphens.patch to correct a few unescaped
    hyphens, as pointed out by lintian.
  * As we're modifying the manpages, we need to temporarily build-dep
    on groff.
  * Enable nowrap in the default configuration. Although we use the
    --disable-wrapping-as-root compile option, it isn't enough for many
    reasons, as described by Anders Kaseorg in #513443. Users wishing to
    revert this can edit the global config, or use "unset nowrap" in
    their personal nanorc. Closes: #253298, #513443, and Ubuntu bugs
    #39866 and #261495.

 -- Jordi Mallach <jordi@debian.org>  Fri, 27 Mar 2009 11:04:20 +0100

nano (2.0.9-1) experimental; urgency=low

  * The "Professor-traductor" release.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Thu, 18 Sep 2008 04:07:22 +0200

nano (2.0.8-1) experimental; urgency=low

  * The "Il quarto ponte sul Canal Grande" release.
  * New upstream release.
  * Remove patches, all have been accepted upstream.
  * Move nano to SVN in collab-maint, and add the corresponding Vcs-*
    headers.
  * Improve short descriptions by actually mentioning nano is an editor.
    Thanks to Filipus Klutiero for the suggestion (closes: #495289).
  * Add nanorc.sample as an example, even if the system-wide nanorc is a
    modified copy of it (closes: #490202).
  * Don't distribute po/ChangeLog. The source package is enough for that.

