## nano 2.2.4

=== debian/changelog ===
nano (2.2.4-1) unstable; urgency=low

  * The "905€" release.
  * New upstream release.
    - fixes minor security issues: symlink attack (CVE-2010-1160)
      and ownership of arbitrary files (CVE-2010-1161). Closes: #577817.

 -- Jordi Mallach <jordi@debian.org>  Thu, 15 Apr 2010 19:26:23 +0200

nano (2.2.3-1) unstable; urgency=low

  * The "Polop" release.
  * New upstream release.
  * Drop Build-Depends on groff; it was only needed to rebuild the
    modified manpages.
  * Nearly three years late, alpine-pico is finally playing the
    update-alternatives game and can now coexist with nano. Update
    our conflict accordingly. Thanks, Asheesh!

 -- Jordi Mallach <jordi@debian.org>  Fri, 12 Feb 2010 02:49:13 +0100
