=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.9), debhelper (>= 7), groff, libncurses5-dev, libncursesw5-dev, libslang2-dev
+Build-Depends: dpkg-dev (>= 1.13.9), debhelper (>= 7), libncurses5-dev, libncursesw5-dev, libslang2-dev
 Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nano
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/nano/
@@ -15,7 +15,7 @@
 Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Provides: editor
 Suggests: spell
-Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 0.99+dfsg-1)
+Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 2.00+dfsg-5)
 Replaces: pico
 Description: small, friendly text editor inspired by Pico
  GNU nano is an easy-to-use text editor originally designed as a replacement
