=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/nano/nano-(.*)\.tar\.gz \
        debian uupdate
