## nano 2.2.6

=== debian/changelog ===
nano (2.2.6-3) unstable; urgency=medium

  * The "Gürtel" release.
  * Acknowledge 2.2.6-1.1 NMU (-2 was tagged, never uploaded... mysteries).
  * Get rid of massively obsolete preinst upgrade code from 2004.
  * Remove nano.desktop.
  * Remove nano.README.Debian, the information included was now obsolete
    or pointless.
  * Canonicalise Vcs URLs.
  * Use dpkg's buildflags.mk to enable hardening. Bump dpkg-dev Build-Dep
    to >= 1.16.1~ accordingly (closes: #656133).
  * Bump Standards-Version to 3.9.5.
  * Add debian/upstream/signing-key.asc with Chris Allegreta's OpenPGP key.
  * Move watch file to version 3, use http URL, add pgpsigurlmangle to
    enable verification of tarball signatures and stop calling uupdate.
  * Add manpage_escaping.patch to fix some escaping issues in nano.1 and
    rnano.1. Thanks to Bjarni Ingi Gislason (closes: #662842, #726956).
  * Add apt_transports.patch to add all currently supported apt methods to
    the debian sources.list regexp.
  * Shuffle build-* target deps and add an explicit build-indep target to
    appease Lintian.

 -- Jordi Mallach <jordi@debian.org>  Wed, 16 Jul 2014 18:47:53 +0200

nano (2.2.6-2) unstable; urgency=low

  * The "… a Picassent!" release.
  * Add patches from Rodolphe Pelloux-Prayer to fix highlighting of
    sources.list entries with tabs, and to support files in
    /etc/apt/sources.list/*.list. Thanks! Closes: #614817.
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Wed, 06 Jul 2011 21:25:40 +0200

nano (2.2.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ensure config.{sub,guess} are uptodate

 -- Wookey <wookey@debian.org>  Mon, 16 Dec 2013 22:26:27 +0000

nano (2.2.6-1) unstable; urgency=low

  * The "Què vol que li diga? Que vosté és una sinvergüensa?" release.
  * New upstream release.
  * Apply auto.patch from Tiago Silva (and DEP-3ified by Colin Watson)
    to support C/C++ 'auto' storage class specifier (closes: #605403).

 -- Jordi Mallach <jordi@debian.org>  Mon, 30 Aug 2010 19:35:50 +0200

nano (2.2.5-1) unstable; urgency=low

  * The "Teulada" release.
  * New upstream release.
    - better behaviour when creating backup files on certain conditions.
    - allow, via new command line option, to revert to old backup behaviour.
  * Bump Standards-Version to 3.9.1 (no changes).
  * Break, not Conflict, alpine-pico. Drop obsolete Conflicts from 2003.
  * Rename nano-udeb's XC-Package-Type control field to Package-Type.
    Bump dpkg-dev to 1.15.7.

 -- Jordi Mallach <jordi@debian.org>  Mon, 30 Aug 2010 18:05:29 +0200

nano (2.0.7-5) stable; urgency=low

  * The "No me preocupa nada, como Juan sin miedo, porque nada temo"
    release.
  * Backport two minor security fixes from upcoming 2.0.10 and 2.2.4:
    - CVE-2010-1160: symlink attack.
    - CVE-2010-1161: change of ownership of arbitrary files.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Apr 2010 13:41:39 +0200
