=== debian/control ===
--- 
+++ 
@@ -3,19 +3,25 @@
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.9), debhelper (>= 7), libncurses5-dev, libncursesw5-dev, libslang2-dev
-Standards-Version: 3.8.3
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nano
-Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/nano/
+Build-Depends: debhelper (>= 7),
+               dpkg-dev (>= 1.16.1~),
+               autotools-dev,
+               libncurses5-dev,
+               libncursesw5-dev,
+               libslang2-dev
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/nano
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/nano/
 Homepage: http://www.nano-editor.org/
 
 Package: nano
 Architecture: any
 Priority: important
-Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
 Suggests: spell
-Conflicts: nano-tiny (<= 1.0.0-1), pico, alpine-pico (<= 2.00+dfsg-5)
+Conflicts: pico
+Breaks: alpine-pico (<= 2.00+dfsg-5)
 Replaces: pico
 Description: small, friendly text editor inspired by Pico
  GNU nano is an easy-to-use text editor originally designed as a replacement
@@ -32,7 +38,7 @@
 
 Package: nano-tiny
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
 Description: small, friendly text editor inspired by Pico - tiny build
  GNU nano is an easy-to-use text editor originally designed as a replacement
@@ -46,8 +52,8 @@
 Architecture: any
 Section: debian-installer
 Priority: standard
-XC-Package-Type: udeb
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Package-Type: udeb
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
 Description: small, friendly text editor inspired by Pico - udeb
  GNU nano is an easy-to-use text editor originally designed as a replacement
